revive the original index.html patches, which are for the source side, not
[ikiwiki.git] / debian / NEWS
1 ikiwiki (1.50) unstable; urgency=low
2
3   Permalinks and guids in rss and atom feeds for wikis using the usedirs
4   options will change in this release. If you have already enabled usedirs,
5   you may need to take steps to avoid flooding aggregators.
6
7  -- Joey Hess <joeyh@debian.org>  Sat, 14 Apr 2007 16:08:46 -0400
8
9 ikiwiki (1.49) unstable; urgency=low
10
11   Third-party plugins that use htmlpage() or abs2rel() to generate links
12   may need changes to support the new "usedirs" option.
13
14  -- Joey Hess <joeyh@debian.org>  Sun, 01 Apr 2007 16:20:09 -0400
15
16 ikiwiki (1.47) unstable; urgency=low
17  
18   Due to a security fix, wikis that have the htmlscrubber enabled can no
19   longer use the meta plugin to insert html link and meta tags.
20
21   Some special case methods have been added for safely including stylesheets,
22   and for doing openid delegation. See the meta plugin docs for details.
23  
24  -- Joey Hess <joeyh@debian.org>  Wed, 21 Mar 2007 14:18:40 -0400
25
26 ikiwiki (1.45) unstable; urgency=low
27
28   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
29   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
30   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
31
32  -- Joey Hess <joeyh@debian.org>  Wed,  7 Mar 2007 23:02:52 -0500
33
34 ikiwiki (1.44) unstable; urgency=low
35
36   The htmllink() function has changed slightly and plugins that use it may
37   need to change how they call it. This function's first three parameters
38   are unchanged, but additional options are now passed using named
39   parameters. If you used htmllink with more than 3 parameters, you will
40   need to change it. The plugin interface version has been increased to 1.02
41   to reflect this change.
42
43  -- Joey Hess <joeyh@debian.org>  Mon, 19 Feb 2007 21:10:12 -0500
44
45 ikiwiki (1.42) unstable; urgency=low
46
47   The anonok setting in config files has been removed. To enable
48   httpauth support on your wiki, you should now enable the anonok plugin,
49   instead.
50
51   Third-party plugins that use pagespec_match() should be updated to pass
52   the new third parameter (from) to that function. This is needed for the
53   new relative glob matching to work.
54
55  -- Joey Hess <joeyh@debian.org>  Thu,  1 Feb 2007 16:57:59 -0500
56
57 ikiwiki (1.34) unstable; urgency=low
58
59   The httpauth setting in config files has been removed. To enable
60   httpauth support on your wiki, you should now enable the httpauth plugin,
61   instead.
62
63   This release includes OpenID support that is enabled through the openid
64   plugin. I recommend turning this on to make it easier for users to sign
65   in to your wiki.
66
67  -- Joey Hess <joeyh@debian.org>  Sun, 19 Nov 2006 20:53:05 -0500
68
69 ikiwiki (1.32) unstable; urgency=low
70
71   There is a change to the plugin interface in this version. Any plugins that
72   modify data in %links should pass scan => 1 when registering the hook that
73   does so.
74
75  -- Joey Hess <joeyh@debian.org>  Sat, 28 Oct 2006 00:13:12 -0400
76
77 ikiwiki (1.29) unstable; urgency=low
78
79   Wikis need to be rebuilt on upgrade to this version. If you listed your wiki
80   in /etc/ikiwiki/wikilist this will be done automatically when the Debian
81   package is upgraded. Or use ikiwiki-mass-rebuild to force a rebuild.
82
83   There is a change to the plugin interface in this version. Plugins that use
84   %renderedfiles will need to be updated, as the hash's values are now arrays
85   of rendered files. Plugins that cause a page to render additional files
86   should use the new will_render function to register the files.
87
88  -- Joey Hess <joeyh@debian.org>  Sun,  8 Oct 2006 17:27:56 -0400
89
90 ikiwiki (1.22) unstable; urgency=low
91   
92   Due to some changes in the CSS, wikis should be rebuilt on upgrade to this
93   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be done
94   automatically when the Debian package is upgraded. Or use ikiwiki-mass-rebuild
95   to force a rebuild.
96
97   If you have modified versions of ikiwiki's html templates, you will need
98   to update your templates to link to the stylesheet file using
99   "<TMPL_VAR BASEURL>style.css" instead of the old method which used
100   STYLEURL.
101
102   There have also been some changes to the plugin interface:
103   Any plugins that use santize, htmlize, or format hooks will need to be
104   updated for this version of ikiwiki since these hooks have been changed
105   to use named parameters.
106
107  -- Joey Hess <joeyh@debian.org>  Tue, 22 Aug 2006 15:33:12 -0400
108
109 ikiwiki (1.13) unstable; urgency=low
110
111   The GlobList format which was used for specifiying sets of pages, has been
112   replaced with a new, more expressive PageSpec format. While GlobLists will
113   continue to work, that format is deprecated, and you are encouraged to use
114   PageSpecs from now on, and also to change any GlobLists in your wiki to
115   PageSpecs. See the new PageSpec page for details.
116   
117   You will need to rebuild your wiki when upgrading to this version. If you
118   listed your wiki in /etc/ikiwiki/wikilist this will be done automatically
119   when the Debian package is upgraded. Or use ikiiki-mass-rebuild to force a
120   rebuild.
121
122  -- Joey Hess <joeyh@debian.org>  Tue,  1 Aug 2006 18:29:51 -0400
123
124 ikiwiki (1.11) unstable; urgency=low
125
126   Some changes to tags in this release, due to a new tag plugin. If you have
127   been using the meta plugin to tag pages, you'll want to enable the tag
128   plugin too, and change things like this:
129
130   [[meta link="foobar"]]
131
132   To this:
133
134   [[tag foobar]]
135
136   The new tags will appear at page footers, and are also easier to type.
137
138   There have also been some changes to the plugin interface, particularly the
139   interface of pagetemplate hooks has changed. See the changelog for details.
140
141  -- Joey Hess <joeyh@debian.org>  Thu, 27 Jul 2006 17:03:09 -0400
142
143 ikiwiki (1.8) unstable; urgency=low
144
145   If your wiki is configured with a setup file, you should modify it to
146   stop setting the "plugin" list directly, and instead add or remove plugins
147   via the add_plugins and disable_plugins lines. For example, if you had:
148
149         plugin => [qw{inline smiley search}],
150
151   Change it to these lines, which disables the default htmlscrubber plugin
152   and adds the two additional plugins:
153
154         add_plugins => [qw{smiley search}],
155         disable_plugins => [qw{htmlscrubber}],
156
157   Making this change makes your ikiwiki setup file more future-proof since
158   new default plugins will be automatically used.
159   
160   You will need to rebuild your ikiwiki wrappers when upgrading to this
161   version. If you listed your wiki in /etc/ikiwiki/wikilist this will be
162   done automatically when the Debian package is upgraded. Or use
163   ikiiki-mass-rebuild --refresh to force a refresh.
164
165  -- Joey Hess <joeyh@debian.org>  Mon,  3 Jul 2006 16:59:29 -0400
166
167 ikiwiki (1.1) unstable; urgency=low
168
169   There have been several configuration changes in this release of ikiwiki:
170
171   The --svn and --no-svn switches are removed, instead you should use
172    --rcs=svn or --no-rcs. ikiwiki setup files that set svn => 1 should
173   be changed to set rcs => "svn"; if your setup file sets svn => 0
174   then change it to use rcs => "" to disable svn.
175
176   The --hyperestraier switch is gone too. To enable searching, turn on the
177   search plugin, by passing --plugin=search or through the plugin setting in
178   the setup file.
179
180   The --sanitize and --no-sanitize switches are also gone, replaced with the
181   htmlscrubber plugin. This plugin is enabled by default, to disable it,
182   use --disable-plugin=htmlscrubber, or modify the plugin setting in the
183   setup file.
184
185   Discussion pages are enabled by default, but if your wiki is configured
186   with a setup file, you need to edit it to keep them enabled on upgrade
187   to this version. Add a line reading:
188   discussion => 1,
189
190   You will need to rebuild your wiki when upgrading to this version.
191   If you listed your wiki in /etc/ikiwiki/wikilist this will be done
192   automatically when the Debian package is upgraded. Or use
193   ikiiki-mass-rebuild to force a rebuild.
194
195  -- Joey Hess <joeyh@debian.org>  Tue,  2 May 2006 14:13:59 -0400